%global base_name woodstox
%global core_name %{base_name}-core

Name:             %{core_name}-asl
Version:          4.1.2
Release:          1%{?dist}
Summary:          High-performance XML processor
License:          ASL 2.0
Group:            Development/Libraries
URL:              http://%{base_name}.codehaus.org/

Source0:          http://%{base_name}.codehaus.org/%{version}/%{core_name}-src-%{version}.tar.gz
Source1:          http://repository.codehaus.org/org/codehaus/%{base_name}/%{core_name}-asl/%{version}/%{core_name}-asl-%{version}.pom
Source2:          %{name}.depmap

Patch0:           %{name}-unbundling.patch

BuildArch:        noarch

BuildRequires:    felix-osgi-core
BuildRequires:    relaxngDatatype
BuildRequires:    msv-xsdlib
BuildRequires:    msv-msv
BuildRequires:    stax2-api
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    jpackage-utils

Requires:         felix-osgi-core
Requires:         relaxngDatatype
Requires:         msv-xsdlib
Requires:         msv-msv
Requires:         stax2-api
Requires:         jpackage-utils
Requires:         java

%description
Woodstox is a high-performance validating namespace-aware StAX-compliant
(JSR-173) Open Source XML-processor written in Java.
XML processor means that it handles both input (== parsing)
and output (== writing, serialization)), as well as supporting tasks
such as validation.

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{base_name}-%{version}

cp %{SOURCE1} pom.xml

%patch0 -p1

# removing bundled stuff
rm -rf lib
rm -rf src/maven
rm -rf src/resources
rm -rf src/samples
rm -rf src/java/org
rm -rf src/test/org
rm -rf src/test/stax2

# fixing incomplete source directory structure
mkdir src/main
mv -f src/java src/main/
mkdir src/test/java
mv -f src/test/wstxtest src/test/java/

%build
# using bea-stax-api (no pom) instead of stax-api -> depmap needed
# stax2 missing -> cannot compile tests -> tests skipped
mvn-rpmbuild -Dmaven.local.depmap.file="%{SOURCE2}" \
             -Dmaven.test.skip=true \
             install javadoc:aggregate

%install
# jars
install -Dpm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc release-notes/asl/ASL2.0 release-notes/asl/LICENSE release-notes/asl/NOTICE
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc release-notes/asl/ASL2.0 release-notes/asl/LICENSE
%doc %{_javadocdir}/%{name}

%changelog
* Tue Sep 13 2011 Jaromir Capik <jcapik@redhat.com> - 4.1.2-1
- Initial version
